Bug 1299385 - (CVE-2016-0466) CVE-2016-0466 OpenJDK: insufficient enforcement of totalEntitySizeLimit (JAXP, 8133962)
CVE-2016-0466 OpenJDK: insufficient enforcement of totalEntitySizeLimit (JAXP...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160119,repor...
: Security
Depends On:
Blocks: 1295699
  Show dependency treegraph
 
Reported: 2016-01-18 04:16 EST by Tomas Hoger
Modified: 2016-07-18 09:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the JAXP component in OpenJDK did not properly enforce the totalEntitySizeLimit limit. An attacker able to make a Java application process a specially crafted XML file could use this flaw to make the application consume an excessive amount of memory.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 10:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2016-01-18 04:16:52 EST
It was discovered that the JAXP component of OpenJDK did not properly count total size of the expanded general entities and therefore did not properly enforce the totalEntitySizeLimit limit.  An attacker able to make a Java application parse a specially crafted XML file could use this flaw to make the application use and excessive amount of memory and possibly exit on out of memory condition.

JAXP XML parsing limits are described on the following page:

https://docs.oracle.com/javase/tutorial/jaxp/limits/limits.html
Comment 2 Tomas Hoger 2016-01-18 09:34:58 EST
The use of general entities inside tag attribute values allows bypassing the limit.
Comment 3 Tomas Hoger 2016-01-19 16:52:41 EST
Public now via Oracle Critical Patch Update - January 2016.  Fixed in Oracle Java SE 6u111, 7u95, and 8u71.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html#AppendixJAVA
Comment 4 Tomas Hoger 2016-01-20 09:06:58 EST
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jaxp/rev/6568ef042ca5
Comment 5 errata-xmlrpc 2016-01-20 14:15:38 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0050 https://rhn.redhat.com/errata/RHSA-2016-0050.html
Comment 6 errata-xmlrpc 2016-01-20 14:34:11 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0049 https://rhn.redhat.com/errata/RHSA-2016-0049.html
Comment 7 errata-xmlrpc 2016-01-21 06:23:31 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0057 https://rhn.redhat.com/errata/RHSA-2016-0057.html
Comment 8 errata-xmlrpc 2016-01-21 06:40:05 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0056 https://rhn.redhat.com/errata/RHSA-2016-0056.html
Comment 9 errata-xmlrpc 2016-01-21 06:41:29 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0055 https://rhn.redhat.com/errata/RHSA-2016-0055.html
Comment 10 errata-xmlrpc 2016-01-21 06:43:12 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0053 https://rhn.redhat.com/errata/RHSA-2016-0053.html
Comment 11 errata-xmlrpc 2016-01-21 06:59:10 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0054 https://rhn.redhat.com/errata/RHSA-2016-0054.html
Comment 12 errata-xmlrpc 2016-01-26 08:12:40 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0067 https://rhn.redhat.com/errata/RHSA-2016-0067.html
Comment 13 errata-xmlrpc 2016-02-02 05:05:55 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2016:0101 https://rhn.redhat.com/errata/RHSA-2016-0101.html
Comment 14 errata-xmlrpc 2016-02-02 05:07:27 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2016:0100 https://rhn.redhat.com/errata/RHSA-2016-0100.html
Comment 15 errata-xmlrpc 2016-02-02 08:40:11 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2016:0098 https://rhn.redhat.com/errata/RHSA-2016-0098.html
Comment 16 errata-xmlrpc 2016-02-02 08:54:07 EST
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2016:0099 https://rhn.redhat.com/errata/RHSA-2016-0099.html
Comment 18 errata-xmlrpc 2016-07-18 09:56:46 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430

Note You need to log in before you can comment on or make changes to this bug.